Skip to main content
GET
/
connection
/
check_token
Check connection token
curl --request GET \
  --url https://api.partoo.co/v2/connection/check_token \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/connection/check_token"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/connection/check_token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "\\xaf3e8951c1f4c42f9cc53116b3fc855bd44bce01cf27604b",
  "expiration_date": "2019-08-02T19:15:54.256000+02:00",
  "generated_by": "5309c3a237bbc544d8e26737",
  "creation_date": "2019-08-01T19:15:54.256000+02:00",
  "consumption_date": "2019-08-01T23:15:54.256000+02:00",
  "status": "consumed"
}
{
"errors": {
"json": {}
}
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

user_id
string
required

User id

Example:

"5309c3a237bbc544d8e26737"

token
string
required

User connection token

Example:

"\\xaf3e8951c1f4c42f9cc53116b3fc855bd44bce01cf27604b"

Response

OK

token
string

New connection token

Example:

"\\xaf3e8951c1f4c42f9cc53116b3fc855bd44bce01cf27604b"

expiration_date
string<date-time>

Expiration date of the token

Example:

"2019-08-02T19:15:54.256000+02:00"

generated_by
string

Id of the user that created the token

Example:

"5309c3a237bbc544d8e26737"

creation_date
string<date-time>

Creation date of the token

Example:

"2019-08-01T19:15:54.256000+02:00"

consumption_date
string<date-time>

Date the token was consumed, ie. used to log in

Example:

"2019-08-01T23:15:54.256000+02:00"

status
enum<string>

Status of the token:

  • valid means it can be use to log in
  • consumed means it has been used to log in
  • revoked means it has been revoked before being used or expired
  • expired means it has expired before being used
Available options:
revoked,
consumed,
expired,
valid
Example:

"consumed"